Support » Plugin: Contact Form 7 - Conditional Fields » AJAX compatibility

  • Hi! Thanks for that nice functional plugin.

    I’m struggling to make Conditional Fields compatible with my WordPress theme which uses AJAX transitions between the pages. Since 1.5.1 version of the plugin it seems that object wpcf7cf is not in global window scope anymore. So I can’t re-init the plugin with wpcf7cf.initForm() function after an AJAX page load. Currently one of my client is forced to downgrade and stay on 1.5.0 to get the plugin to work on AJAX driven website.

    In one of the topics I saw a solution with loading Conditional Fields JS script using jQuery.get(). It’s a bit dirty solution in my opinion. Do you have any plans to return back wpcf7cf to window so it can be accessible by 3rd party scripts?

    • This topic was modified 1 month, 3 weeks ago by artsemkin.
Viewing 2 replies - 1 through 2 (of 2 total)
Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.